﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v14.1, Version=14.1.20141.2283, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>

    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js" type="text/javascript"></script>
    <script src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/jquery-ui.min.js" type="text/javascript"></script>

    <script>
        $(function () {
            $("img[id*='_image']").mouseenter(function () {
                $(this).css("cursor", "pointer");
                $(this).animate({ width: "35px", height: "35px" }, 'slow');
            });

            $("img[id*='_image']").mouseleave(function () {
                $(this).animate({ width: "25px", height: "25px" }, 'slow');
            });
        });
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>

            <ig:WebDataGrid ID="WebDataGrid" runat="server" Height="350px" Width="400px" OnInit="WebDataGrid_Init" AutoGenerateColumns="False">
                <Columns>
                    <ig:BoundDataField DataFieldName="Id" Key="Id" VisibleIndex="0">
                        <Header Text="Id">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="LastName" Key="LastName" VisibleIndex="1">
                        <Header Text="LastName">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="FirstName" Key="FirstName" VisibleIndex="2">
                        <Header Text="FirstName">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Address" Key="Address" VisibleIndex="3">
                        <Header Text="Address">
                        </Header>
                    </ig:BoundDataField>
                    <ig:TemplateDataField Key="ImageFromDir" VisibleIndex="4">
                        <Header Text="ImageFromDir">
                        </Header>
                        <ItemTemplate>
                            <img id="image" runat="server" src='<%# Eval("ImageFromDir") %>' />
                        </ItemTemplate>
                    </ig:TemplateDataField>
                </Columns>
            </ig:WebDataGrid>

            <asp:Button ID="Button1" runat="server" Text="Make some postback" />
        </div>
    </form>
</body>
</html>
