﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using Infragistics.Web.UI;
using Infragistics.Web.UI.GridControls;

public partial class _Default : System.Web.UI.Page
{
    protected void WebDataGrid_Init(object sender, EventArgs e)
    {
        WebDataGrid.DataSource = GetDataSource();
        WebDataGrid.DataBind();
        WebDataGrid.AutoGenerateColumns = false;

        //InitColumns();
    }

    protected void Page_Load(object sender, EventArgs e)
    {


    }

    private void InitColumns()
    {

        BoundDataField idField = new BoundDataField();
        idField.DataFieldName = "Id";
        idField.Key = "Id";
        idField.Header.Text = "Id";
        this.WebDataGrid.Columns.Add(idField);

        BoundDataField lastNameField = new BoundDataField();
        lastNameField.DataFieldName = "LastName";
        lastNameField.Key = "LastName";
        lastNameField.Header.Text = "LastName";
        this.WebDataGrid.Columns.Add(lastNameField);

        BoundDataField firstNameField = new BoundDataField();
        firstNameField.DataFieldName = "FirstName";
        firstNameField.Key = "FirstName";
        firstNameField.Header.Text = "FirstName";
        this.WebDataGrid.Columns.Add(firstNameField);

        BoundDataField addressField = new BoundDataField();
        addressField.DataFieldName = "Address";
        addressField.Key = "Address";
        addressField.Header.Text = "Address";
        this.WebDataGrid.Columns.Add(addressField);


        TemplateDataField colImg = new TemplateDataField();
        colImg.Key = "ImageFromDir";
        this.WebDataGrid.Columns.Add(colImg);
    }

    public DataTable GetDataSource()
    {
        System.Data.DataTable table = new DataTable("Table");
        DataRow row;

        DataColumn idColumn = new DataColumn();
        idColumn.DataType = System.Type.GetType("System.Int32");
        idColumn.ColumnName = "Id";
        idColumn.ReadOnly = true;
        table.Columns.Add(idColumn);

        // Make the ID column the primary key column.
        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = table.Columns["Id"];
        table.PrimaryKey = PrimaryKeyColumns;

        DataColumn lastNameColumn = new DataColumn();
        lastNameColumn.DataType = System.Type.GetType("System.String");
        lastNameColumn.ColumnName = "LastName";
        table.Columns.Add(lastNameColumn);

        DataColumn firstNameColumn = new DataColumn();
        firstNameColumn.DataType = System.Type.GetType("System.String");
        firstNameColumn.ColumnName = "FirstName";
        table.Columns.Add(firstNameColumn);

        DataColumn addressColumn = new DataColumn();
        addressColumn.DataType = System.Type.GetType("System.String");
        addressColumn.ColumnName = "Address";
        table.Columns.Add(addressColumn);

        DataColumn imgFromDirColumn = new DataColumn();
        imgFromDirColumn.DataType = System.Type.GetType("System.String");
        imgFromDirColumn.ColumnName = "ImageFromDir";
        table.Columns.Add(imgFromDirColumn);

        for (int i = 0; i < 5; i++)
        {
            row = table.NewRow();
            row["Id"] = i + 1;
            row["LastName"] = "Buchanan";
            row["FirstName"] = "Steven";
            row["Address"] = "14 Garrett Hill";
            row["ImageFromDir"] = "~/Images/test.bmp";
            table.Rows.Add(row);
        }

        return table;
    }
}

